import Resolver from "../../resolver.js";
import announceNote from "./note.js";
import { getApId } from "../../type.js";
import { apLogger } from "../../logger.js";
const logger = apLogger;
export default (async (actor, activity)=>{
    const uri = getApId(activity);
    logger.info(`Announce: ${uri}`);
    const resolver = new Resolver();
    const targetUri = getApId(activity.object);
    return announceNote(resolver, actor, activity, targetUri);
});
